#
# spec file for package gnome-taquin
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-taquin
Version:        3.38.1
Release:        2.13
Summary:        A computer version of the 15-puzzle and other sliding puzzles
License:        GPL-3.0-or-later
Group:          Amusements/Games/Board/Puzzle
URL:            https://wiki.gnome.org/Apps/Taquin
Source0:        https://download.gnome.org/sources/gnome-taquin/3.38/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM 99dea5e7863e112f33f16e59898c56a4f1a547b3.patch dimstar@opensuse.org -- Fix build with vala 0.51.x
Patch0:         https://gitlab.gnome.org/GNOME/gnome-taquin/-/commit/99dea5e7863e112f33f16e59898c56a4f1a547b3.patch
BuildRequires:  appstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0) >= 2.42.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.42.0
BuildRequires:  pkgconfig(gsound) >= 1.0.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0

%description
Taquin is a computer version of the 15-puzzle and other sliding puzzles.

The object of Taquin is to move tiles so that they reach their places,
either indicated with numbers, or with parts of a great image.

%lang_package

%prep
%autosetup -p1

%build
%meson \
	%{nil}
%meson_build

%install
%meson_install
%find_lang gnome-taquin %{?no_lang_C} %{name}.lang
%fdupes %{buildroot}%{_datadir}

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Taquin.desktop
%{_datadir}/dbus-1/services/org.gnome.Taquin.service
%{_datadir}/glib-2.0/schemas/org.gnome.Taquin.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/metainfo/org.gnome.Taquin.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*
%doc %{_datadir}/help/C/%{name}/
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Thu Feb 18 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Add 99dea5e7863e112f33f16e59898c56a4f1a547b3.patch: Fix build
  with vala 0.51.x.
* Thu Oct  8 2020 dimstar@opensuse.org
- Update to version 3.38.1:
  + Updated translations.
* Thu Oct  8 2020 dimstar@opensuse.org
- Update to version 3.38.0:
  + Updated translations.
* Thu Oct  8 2020 dimstar@opensuse.org
- Update to version 3.37.91:
  + Updated translations.
* Wed Oct  7 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.7:
  + Updated translations.
* Mon Jul  6 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.4:
  + Updated translations.
* Fri Jun  5 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.3:
  + Updated translations.
* Sat Apr 25 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.2:
  + Adapt to new HC theme.
  + Updated translations.
* Wed Mar 11 2020 mgorse@suse.com
- Update to version 3.36.0:
  + Updated translations.
* Tue Feb 18 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.35.91:
  + Just a bit of code cleaning.
  + Updated translations.
* Fri Feb 14 2020 dimstar@opensuse.org
- Update to version 3.35.90:
  + The transition from the new-game screen to the game itself has
    been changed when having a large window.
  + Updated translations.
* Fri Feb 14 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.4:
  + Metadata fixes.
  + Updated translations.
* Mon Jan  6 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.3:
  + A release for fixing a menu refresh bug.
* Sat Nov 23 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.2:
  + Updated translations.
* Mon Oct  7 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.1:
  + Updated translations.
* Tue Sep 10 2019 mgorse@suse.com
- Update to version 3.34.0:
  + Updated translations.
* Wed Sep  4 2019 mgorse@suse.com
- Update to version 3.33.91:
  + One small bug fix, and a better appdata file.
  + Updated translations.
  + Changes in version 3.33.90:
  + Many small code changes, and bug fixes.
  + Packagers should note that the GSound library has replaced LibCanberra.
  + Translations updated.
  + Changes in version 3.33.4:
  + Specify libm as a dependency, for platforms that separated it
    from libc.
  + Updated translations.
- Drop libcanberra from BuildRequires, and add libgsound.
* Tue Mar 12 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
  + Add unfullscreen button.
  + Updated translations.
* Wed Feb 20 2019 bjorn.lie@gmail.com
- Update to version 3.31.91:
  + Some small fixes, notably regarding the focus, and a security
    for never starting in the final position, that’s for users. A
    test infrastructure was also added, and various code
    improvements.
* Sun Feb 17 2019 bjorn.lie@gmail.com
- Update to version 3.31.90:
  + Taquin switched to Meson build system.
  + New icon.
  + The game board is now centered.
  + A counter of moves in headerbar.
  + Restart the current game now possible.
  + Keeps your best score, so you can try to improve it.
  + Updated translations.
- Switch to meson build system, add meson BuildRequires and macros.
- Add appstream-glib, vala and pkgconfig(gio-2.0) BuildRequires:
  New dependencies.
- Drop obsolete intltool and libxml2-tools BuildRequires.
* Tue Jan  8 2019 bjorn.lie@gmail.com
- Update to version 3.31.4:
  + The application menu has been retired and replaced by an
    hamburger menu.
  + Updated translations.
* Fri Sep  7 2018 antoine.belvire@opensuse.org
- Update to version 3.30.0:
  + Updated translations.
* Thu Mar 15 2018 luc14n0@linuxmail.org
- Update to version 3.28.0:
  + Updated translations.
- Drop:
  + glib2_gsettings_schema_requires macro: it is no longer needed
    since RPM file triggers (RPM 4.13, suse_version 1330).
  + suse_update_desktop_file macro and update-desktop-files
    BuildRequires: No longer needed.
- Add fdupes BuildRequires and its macro for replacement of
  duplicate files with links under the data directory.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Oct  2 2017 luc14n0@linuxmail.org
- Update to version 3.26.1:
  + Updated translations.
- Drop %%desktop_database_*, %%icon_theme_cache_* and
  %%glib2_gsettings_schema_* post/postun macros: functionality now
  covered by file triggers.
* Tue Sep 20 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + AppData fixes.
  + Updated translations.
* Wed Sep 14 2016 zaitor@opensuse.org
- Update to version 3.21.92:
  + Updated translations.
* Tue Aug 30 2016 zaitor@opensuse.org
- Update to version 3.21.91:
  + Updated translations.
* Tue Aug 16 2016 dimstar@opensuse.org
- Update to version 3.21.90:
  + Update appdata.
  + Simplify style-checker enabling code.
  + Fix style-checker with new libgnome-games-support.
  + Updated translations.
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Thu Apr 14 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + The "valign” property of some buttons of the headerbar has been
    set to “center”, to look better on some rare configurations.
  + Bugs fixed: bgo#762466.
  + Updated translations.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Updated translations.
* Wed Feb 17 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Two cats have been replaced, for DFSG compatibility.
  + Other changes include some metadata updates, and corrections
    caused by recent GTK+.
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Adaptation to current CSS-nodes.
  + Known issues:
  - Narrow no-break space (U+202F) looks not rendered in some
    locales.
  - CSS-nodes will break again.
* Thu Nov 12 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Update CSS for uses with newer Gtk+.
  + Updated translations.
* Thu Oct 15 2015 zaitor@opensuse.org
- Update to version 3.18.1.1:
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Fix dragging the window after clicking the game view.
  + Updated translations.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Print --version output on stdout.
  + Updated translations.
* Tue Apr 28 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + HighContrast icons removed (as the symbolic one is now used).
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Add symbolic icon.
  + Don’t crash on closing.
  + Updated translations.
* Tue Mar 17 2015 mcatanzaro@gnome.org
- Set license tag correctly to GPL-3.0+.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91.1:
  + Correct a weird bug that hides the app-menu.
- Changes from version 3.15.90:
  + Big code reorganisation, correcting some weird bugs.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Images compression.
  + Dbus activatable.
  + Use CSS for radios' background images.
  + Permissions of the tarball files fixed.
  + Updated translations.
* Sat Jan 24 2015 badshah400@gmail.com
- Update to version 3.15.4:
  + Add sound.
  + Better focus.
  + Rework start-screen and animations.
  + Better help.
  + Updated translations.
- Permissions for doc files fixed upstream, no longer need to be
  fixed in specfile (bgo#742948).
- Add pkgconfig(libcanberra-gtk3) >= 0.26 to BuildRequires.
* Sat Jan 10 2015 badshah400@gmail.com
- Initial package.
